Altibase.jdbc.driver

## Class AltibaseCacheableCallableStatement

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AltibaseStatement
    - - Altibase.jdbc.driver.AbstractPreparedStatement
      - - Altibase.jdbc.driver.AltibasePreparedStatement
        - - Altibase.jdbc.driver.AbstractCallableStatement
          - - Altibase.jdbc.driver.AltibaseCallableStatement
            - - Altibase.jdbc.driver.AltibaseCacheableCallableStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

    public class AltibaseCacheableCallableStatement
    extends AltibaseCallableStatement

PROJ-2775 Statement Caching statement caching을 위한 AltibaseCallableStatement wrapper 클래스

Author:
  jiee

### Nested Class Summary

### Nested classes/interfaces inherited from class Altibase.jdbc.driver.AltibaseStatement

`AltibaseStatement.ExecuteResultManager`

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseCallableStatement

`mLastFetchedColumnIndex`

### Fields inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`mBatchAdded, mBatchJobCount, mBatchRowHandle, mBindColumns, mContext, mLobUpdator`

### Fields inherited from class Altibase.jdbc.driver.AltibaseStatement

`BYTES_PER_CHAR, EMPTY_LARGE_BATCH_RESULT, mBatchSetBytesUseLob, mConnection, mCurrentResultIndex, mCurrentResultSet, mEscapeProcessing, mExecuteResultMgr, mExecutionResult, mFetchResult, mFetchSize, mForceClobBind, mIsDeferred, mLogger, mMaxFieldSize, mMaxRows, mPrepareResult, mPrepareResultColumns, mQstr, mResultSetList, mResultSetReturned, mReUseResultSet, mSemiAsyncPrefetch, mStmtCID, mTargetResultSetConcurrency, mTargetResultSetType, mWarning`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `execute()`
`java.sql.ResultSet` `executeQuery()`
`boolean` `isClosed()` Statement가 닫혔는지 확인한다.

### Methods inherited from class Altibase.jdbc.driver.AltibaseCallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getColumnForOutType, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from class Altibase.jdbc.driver.AbstractCallableStatement

`getNCharacterStream, getNCharacterStream, getNClob, getNClob, getRowId, getRowId, getSQLXML, getSQLXML, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setRowId, setSQLXML`

### Methods inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`addBatch, addBatch, addMetaColumnInfo, clearBatch, clearParameters, closeAllPrevResultSet, closeAllResultSet, closeCurrentResultSet, createProtocolContext, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getAtomicBatch, getColumn, getColumn, getColumnForInType, getDefaultPrecisionForDeferred, getMetaData, getParameterMetaData, getProtocolContext, getResultSet, getStmtId, incCurrentResultSetIndex, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setAtomicBatch, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

### Methods inherited from class Altibase.jdbc.driver.AbstractPreparedStatement

`setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setRowId, setSQLXML`

### Methods inherited from class Altibase.jdbc.driver.AltibaseStatement

`afterExecution, cancel, clearAllResults, clearWarnings, closeOnCompletion, createInternalStatement, downgradeFetchSize, executeLargeUpdate, getConnection, getExplainPlan, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSql, getUpdateCount, getWarnings, isAsyncPrefetch, isCloseOnCompletion, isInternalStatement, isPingSQL, isPoolable, pingAndCreateLightweightResultSet, procDowngradeAndGetTargetSql, processExecutionQueryResult, processExecutionResult, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setSql, toInt, toIntBatchUpdateCounts`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, executeLargeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

Description copied from class: `AltibaseStatement`
Statement가 닫혔는지 확인한다.

Specified by:
  `isClosed` in interface `java.sql.Statement`
Overrides:
  `isClosed` in class `AltibaseStatement`
Returns:
  close가 잘 수행되었거나 이미 Connection이 close되었으면 true, 아니면 false
Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.Statement`
Overrides:
  `close` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute()
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.PreparedStatement`
Overrides:
  `execute` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

Specified by:
  `executeQuery` in interface `java.sql.PreparedStatement`
Overrides:
  `executeQuery` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`